## kalgebra 4.14.1

=== debian/changelog ===
kalgebra (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:28:59 +0200

kalgebra (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:33:10 +0200

kalgebra (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:15:15 +0200

kalgebra (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:26:41 +0200

kalgebra (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:34:22 +0200

kalgebra (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:41 +0100

kalgebra (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with Debian, no changes 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 20 May 2014 12:19:59 +0000

kalgebra (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:57 +0200

kalgebra (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Add new build dependencies.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:12 +0100

kalgebra (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:50 +0100

kalgebra (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 15:23:53 +0200

kalgebra (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:26 +0200

kalgebra (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:11 +0200

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libanalitza-dev (>= 4:4.14.1),
               libkdeedu-dev (>= 4:4.14.1),
               libqt4-opengl-dev,
               libqtwebkit-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kalgebra.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kalgebra.git

Package: kalgebra
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kalgebramobile (<< 4:4.7.2)
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: any
Section: math
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kalgebra (= ${binary:Version}) | kalgebramobile (= ${binary:Version}),
         ${misc:Depends}
Recommends: libanalitza-dbg
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in kalgebra.
 .
 This package is part of the KDE education module.

## kalgebra 4.14.2

=== CMakeLists.txt ===
project(kalgebra)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
set(CMAKE_MODULE_PATH ${kalgebra_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(Analitza REQUIRED)

find_package(Qt4 COMPONENTS QtWebKit REQUIRED)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${LIBKDEEDU_INCLUDE_DIR}/qtmml ${ANALITZA_INCLUDE_DIR})

macro_optional_find_package(OpenGL)
macro_bool_to_01(OPENGL_FOUND HAVE_OPENGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "Support for 3D graphs in KAlgebra" "http://mesa3d.sourceforge.net" FALSE "" "")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-kalgebra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-kalgebra.h)

include_directories(.)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")

if(NOT MOBILE_BACKEND STREQUAL "harmattan")
  add_subdirectory(doc)
  add_subdirectory(src)
  add_subdirectory(plasmoids)
endif(NOT MOBILE_BACKEND STREQUAL "harmattan")
add_subdirectory(icons)
add_subdirectory(utils)

macro_optional_add_subdirectory(mobile)

add_custom_target(commandsdoc
	${CMAKE_CURRENT_BINARY_DIR}/utils/docbook_analitzacommands commands.docbook
	DEPENDS docbook_analitzacommands
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc/
	COMMENT "Generating commands docbook information"
)

install(FILES kalgebra.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
   macro_display_feature_log()
endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== mobile/declarative/CMakeLists.txt ===
project(analitza-declarative)

include_directories(
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_BINARY_DIR}
)

kde4_add_library(analitzadeclarativeplugin SHARED analitzadeclarativeplugin.cpp graph2dmobile.cpp analitzawrapper.cpp)

target_link_libraries(analitzadeclarativeplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${ANALITZA_LIBRARY} ${ANALITZAGUI_LIBRARY} ${ANALITZAPLOT_LIBRARY})

install(TARGETS analitzadeclarativeplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/analitza)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/analitza)

install( FILES
        qml/Graph2D.qml
        DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/analitza
)

=== debian/changelog ===
kalgebra (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:37 +0200

kalgebra (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 21:23:25 +0200

kalgebra (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 11:11:11 +0200

kalgebra (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 May 2014 11:07:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libanalitza-dev (>= 4:4.14.1),
-               libkdeedu-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
+               libanalitza-dev (>= 4:4.13),
                libqt4-opengl-dev,
                libqtwebkit-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kalgebra.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kalgebra.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kalgebra.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kalgebra.git
+X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
+X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
 
 Package: kalgebra
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kalgebra-([\d.]+).tar.xz

## kalgebra 14.12.3

=== debian/changelog ===
kalgebra (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:39:43 -0700

kalgebra (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:43:52 -0800

kalgebra (4:14.12.0-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Add lintian overrides

  [ Jonathan Riddell ]
  * New upstream release

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 09 Dec 2014 13:18:32 +0100

kalgebra (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update build-deps for Qt 5 port
  * in debian/rules to pkg-kde version 3
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 18:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libanalitza-dev (>= 4:4.13),
-               libqt4-opengl-dev,
-               libqtwebkit-dev,
+               extra-cmake-modules,
+               kdoctools-dev,
+               kio-dev,
+               libanalitza-dev (>= 4:14.12.3),
+               libncurses5-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libqt5webkit5-dev,
+               libreadline-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kalgebra.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kalgebra.git
-X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
-X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalgebra
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kalgebra.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kalgebra.git
 
 Package: kalgebra
 Architecture: any
@@ -26,6 +27,8 @@
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: calgebra
+Replaces: calgebra
 Breaks: kalgebramobile (<< 4:4.7.2)
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and

## kalgebra 15.08.2

=== debian/changelog ===
kalgebra (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:54:35 +0100

kalgebra (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:14:38 +0100

kalgebra (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:06:31 +0100

kalgebra (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:31:34 +0100

kalgebra (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules,
                kdoctools-dev,
                kio-dev,
-               libanalitza-dev (>= 4:14.12.3),
+               libanalitza-dev (>= 4:15.04.2),
                libncurses5-dev,
                libqt5opengl5-dev,
                libqt5svg5-dev,
@@ -16,7 +16,7 @@
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kalgebra.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kalgebra.git
@@ -40,6 +40,7 @@
 Architecture: any
 Section: math
 Depends: kalgebra-common (= ${binary:Version}),
+         plasma-framework,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: algebraic graphing calculator for small touch based interfaces
@@ -53,7 +54,10 @@
 Section: math
 Breaks: kalgebra (<< 4:4.7.2)
 Replaces: kalgebra (<< 4:4.7.2)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: plasma-framework,
+         qml-module-org-kde-analitza,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: contains files common for kalgebra and kalgebramobile
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language and it contains files needed for both full and mobile

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kalgebra-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kalgebra-([\d.]+).tar.xz

## kalgebra 15.12.3

=== CMakeLists.txt ===
project(kalgebra)
cmake_minimum_required(VERSION 2.8.11)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg OpenGL PrintSupport Test)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMAddAppIcon)

find_package(Analitza5 REQUIRED)

set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

find_package(OpenGL)
set(HAVE_OPENGL ${OPENGL_FOUND})
set_package_properties(OpenGL PROPERTIES TYPE OPTIONAL
                                         PURPOSE "Support for 3D graphs in KAlgebra"
                                         URL "http://opengl.org")

set(CURSES_NEED_NCURSES TRUE)
find_package(Curses)
find_package(Readline)

set_package_properties(Readline PROPERTIES TYPE OPTIONAL
                                           PURPOSE "Allows KAlgebra to provide a console interface."
                                           URL "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html")
set_package_properties(Curses PROPERTIES TYPE OPTIONAL
                                         PURPOSE "Allows KAlgebra to provide a console interface."
                                         URL "http://www.gnu.org/software/ncurses/")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kalgebra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-kalgebra.h)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if(${MOBILE_BACKEND} STREQUAL "kde")
    find_package(KF5I18n ${KF5_VERSION} REQUIRED)
    find_package(KF5ConfigWidgets ${KF5_VERSION} REQUIRED)
    find_package(KF5WidgetsAddons ${KF5_VERSION} REQUIRED)
    find_package(KF5KIO REQUIRED)
    find_package(KF5DocTools REQUIRED)
    find_package(Qt5WebKitWidgets REQUIRED)

    add_subdirectory(src)
    add_subdirectory(plasmoids)
endif()

add_subdirectory(icons)
add_subdirectory(mobile)

if(READLINE_FOUND AND CURSES_FOUND)
    add_subdirectory(calgebra)
endif()

if(KF5DocTools_FOUND)
  add_subdirectory(utils)

  add_custom_target(commandsdoc
    ${CMAKE_CURRENT_BINARY_DIR}/utils/docbook_analitzacommands commands.docbook
    DEPENDS docbook_analitzacommands
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc/
    COMMENT "Generating commands docbook information"
  )

  add_subdirectory(doc)
endif()
install(FILES org.kde.kalgebra.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== mobile/CMakeLists.txt ===
add_subdirectory(plugins)

if(KDeclarative_FOUND)
    add_definitions(-DKDECOMPONENTS)
endif()

qt5_add_resources(KALGEBRAMOBILE_SRCS resources.qrc)
add_executable(kalgebramobile pluginsmodel.cpp
    kalgebramobile.cpp main.cpp ${KALGEBRAMOBILE_SRCS})

target_link_libraries(kalgebramobile Qt5::Qml Qt5::Quick Qt5::Gui
    KF5::Analitza KF5::AnalitzaGui KF5::AnalitzaPlot)

set(DESKTOPFILE_INSTALL ${KDE_INSTALL_APPDIR})
if(${MOBILE_BACKEND} STREQUAL "harmattan")
    set(DESKTOPFILE_INSTALL ${KDE_INSTALL_APPDIR}/..)
elseif(${MOBILE_BACKEND} STREQUAL "material")
#   Material requires QtSvg for icons
#   if we don't link it here explicitly, androiddeployqt doesn't bring it
    find_package(Qt5Svg REQUIRED)
    target_link_libraries(kalgebramobile Qt5::Svg)
elseif(KDeclarative_FOUND)
    target_link_libraries(kalgebramobile KF5::KDeclarative)
endif()

set(DESKTOPFILE kalgebramobile.desktop)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/kalgebramobile${MOBILE_BACKEND}.desktop)
    set(DESKTOPFILE kalgebramobile${MOBILE_BACKEND}.desktop)
endif()

install(TARGETS kalgebramobile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ${DESKTOPFILE} DESTINATION ${DESKTOPFILE_INSTALL} )

=== src/CMakeLists.txt ===
if(OPENGL_FOUND)
    include_directories(${OPENGL_INCLUDE_DIR})
endif(OPENGL_FOUND)

set(kalgebra_SRCS
    kalgebra.cpp
    dictionary.cpp
    #console.cpp
    consolehtml.cpp
    varedit.cpp
    main.cpp
    variablesdelegate.cpp
    viewportwidget.cpp
    functionedit.cpp
)

#uncomment this if oxygen icons for kalgebra are available
#kde4_add_app_icon(kalgebra_SRCS "${CMAKE_INSTALL_PREFIX}/share/icons/oxygen/*/apps/kalgebra.png")
# kde4_add_app_icon(kalgebra_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-kalgebra.png") #FIXME: port!

add_executable(kalgebra ${kalgebra_SRCS})
target_link_libraries(kalgebra Qt5::Widgets Qt5::PrintSupport Qt5::WebKitWidgets KF5::I18n
                               KF5::CoreAddons KF5::WidgetsAddons KF5::ConfigWidgets
                               KF5::XmlGui # HelpMenu
                               KF5::KIOCore
                               KF5::I18n
                               KF5::Analitza KF5::AnalitzaWidgets KF5::AnalitzaGui KF5::AnalitzaPlot)

if(OPENGL_FOUND)
   target_link_libraries(kalgebra Qt5::OpenGL ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY})
endif(OPENGL_FOUND)

install(TARGETS kalgebra ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kalgebra.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES kalgebra.xml DESTINATION ${KDE_INSTALL_DATADIR}/katepart5/syntax )

=== mobile/plugins/widgets/kde/CMakeLists.txt ===
install( FILES
    Label.qml Button.qml CalcButton.qml ExpressionInput.qml
    Keyboard.qml RealInput.qml SimpleListView.qml
    
    KAlgebraPage.qml  KAlgebraMobile.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

=== mobile/plugins/widgets/material/CMakeLists.txt ===
install( FILES
    Label.qml Button.qml CalcButton.qml ExpressionInput.qml
    RealInput.qml SimpleListView.qml
    AddButton.qml Dialog.qml
    
    KAlgebraPage.qml  KAlgebraMobile.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

=== mobile/plugins/widgets/qtcontrols/CMakeLists.txt ===
install( FILES
    Label.qml Button.qml CalcButton.qml ExpressionInput.qml
    RealInput.qml SimpleListView.qml
    
    KAlgebraPage.qml  KAlgebraMobile.qml AddButton.qml Dialog.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kalgebramobile/plugins/widgets/
)

=== debian/changelog ===
kalgebra (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:59:42 -0700

kalgebra (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libanalitza7 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 Mar 2016 21:37:43 +0100

kalgebra (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix file rename appdata xml. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:27:17 +0100

kalgebra (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:15:22 +0100

kalgebra (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Fixing install file

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:34:13 +0000

kalgebra (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:22 +0100

kalgebra (4:15.08.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

  [ Jeremy Lainé ]
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 18:11:38 +0200

kalgebra (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:44 +0200

kalgebra (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 13:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,28 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 1.7.0~),
                kdoctools-dev,
                kio-dev,
                libanalitza-dev (>= 4:15.04.2),
+               libkf5configwidgets-dev (>= 5),
+               libkf5i18n-dev (>= 5),
+               libkf5widgetsaddons-dev (>= 5),
                libncurses5-dev,
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
-               libqt5webkit5-dev,
+               libqt5opengl5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.4),
+               libqt5webkit5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kalgebra.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kalgebra.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kalgebra.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kalgebra.git
 
 Package: kalgebra
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kalgebra-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kalgebra-([\d.]+).tar.xz

## kalgebra 16.04.3

=== debian/changelog ===
kalgebra (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:24 +0200

kalgebra (4:15.12.2-1) unstable; urgency=medium

  * New upstream release (15.12.2).
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 08:32:42 +0100

kalgebra (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,26 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               kio-dev,
-               libanalitza-dev (>= 4:15.04.2),
-               libkf5configwidgets-dev (>= 5),
-               libkf5i18n-dev (>= 5),
-               libkf5widgetsaddons-dev (>= 5),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libanalitza-dev (>= 4:16.04.3~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
+Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kalgebra.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
 
 Package: kalgebra
 Architecture: any
@@ -69,18 +69,3 @@
  versions.
  .
  This package is part of the KDE education module.
-
-Package: kalgebra-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: kalgebra (= ${binary:Version}) | kalgebramobile (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: libanalitza-dbg
-Breaks: kdeedu-dbg (<< 4:4.6.80)
-Replaces: kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for the KDE education module
- This package contains debugging files used to investigate problems with
- binaries included in kalgebra.
- .
- This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='kalgebra-dbg (<= 4:15.12.1-1~~)'

## kalgebra 16.08.3

=== debian/changelog ===
kalgebra (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:48 +0100

kalgebra (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:05:03 +0200

kalgebra (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add mesa-dev as a build dep
  * Add glu mesa dev build dep

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:47:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,29 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libanalitza-dev (>= 4:16.04.3~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev,
+               kio-dev,
+               libanalitza-dev (>= 4:15.04.2),
+               libgl1-mesa-dev,
+               libglu1-mesa-dev,
+               libkf5configwidgets-dev (>= 5),
+               libkf5i18n-dev (>= 5),
+               libkf5kio-dev,
+               libkf5widgetsaddons-dev (>= 5),
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.6.1~),
-               libqt5svg5-dev (>= 5.6.1~),
+               libqt5opengl5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.4),
                libqt5webkit5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
-Standards-Version: 3.9.7
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kalgebra.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kalgebra.git
 
 Package: kalgebra
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kalgebra-dbg (<= 4:15.12.1-1~~)'

## kalgebra 16.12.3

=== debian/changelog ===
kalgebra (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:48 +0000

kalgebra (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,26 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               kio-dev,
-               libanalitza-dev (>= 4:15.04.2),
-               libgl1-mesa-dev,
-               libglu1-mesa-dev,
-               libkf5configwidgets-dev (>= 5),
-               libkf5i18n-dev (>= 5),
-               libkf5kio-dev,
-               libkf5widgetsaddons-dev (>= 5),
+               extra-cmake-modules (>= 5.31.0~),
+               libanalitza-dev (>= 4:16.12.3~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
                libncurses5-dev,
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4),
                libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
+Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kalgebra.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
 
 Package: kalgebra
 Architecture: any

## kalgebra 17.04.3

=== debian/changelog ===
kalgebra (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Additional build dep on qtpositioning5-dev
  * kalgebramobile has moved to kirigami2, so add qml module to runtime
    depends

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libanalitza-dev (>= 4:16.12.3~),
+               libanalitza-dev (>= 4:17.04.3~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
@@ -20,7 +20,9 @@
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtpositioning5-dev (>= 5.6.1~),
+               qtwebengine5-dev
 Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
@@ -46,6 +48,7 @@
 Section: math
 Depends: kalgebra-common (= ${binary:Version}),
          plasma-framework,
+         qml-module-org-kde-kirigami2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: algebraic graphing calculator for small touch based interfaces
@@ -57,8 +60,8 @@
 Package: kalgebra-common
 Architecture: any
 Section: math
-Breaks: kalgebra (<< 4:4.7.2)
-Replaces: kalgebra (<< 4:4.7.2)
+Breaks: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
+Replaces: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
 Depends: plasma-framework,
          qml-module-org-kde-analitza,
          ${misc:Depends},

## kalgebra 17.08.3

=== debian/changelog ===
kalgebra (4:17.08.3-2+rpi1) buster-staging; urgency=medium

  * Make armhf a non-webengine architecture.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 16 Dec 2017 12:52:33 +0000

kalgebra (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n. (Closes: #884015)

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 16:08:19 +0100

kalgebra (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Build a reduced version on architectures without QtWebEngine:
    - limit the qtwebengine5-dev build dependency
    - limit the kalgebra, and kalgebra-common binaries
    - without it, pass -DMOBILE_BACKEND=none to cmake, to build only
      kalgebramobile
    - fix cmake to not error our on -DMOBILE_BACKEND=none, patch backend.diff
    - fix cmake to look for the libraries used also by kalgebramobile; patch
      cmake-dependencies.diff
  * Drop the obsolete kalgebra-common breaks/replaces in kalgebra.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:50:49 +0100

kalgebra (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:14 +0200

kalgebra (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:15 +0000

kalgebra (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:32 +0000

kalgebra (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:23 +0000

kalgebra (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:12:08 +0000

kalgebra (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:55 +0000

kalgebra (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:01 +0000

kalgebra (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:32 +0000

kalgebra (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:56 +0000

kalgebra (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:32 +0000

kalgebra (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:04 +0000

kalgebra (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:48 +0000

kalgebra (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:35 +0000

kalgebra (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:36 +0000

kalgebra (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:17 +0000

kalgebra (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:54 +0000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libanalitza-dev (>= 4:17.08~),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libkf5configwidgets-dev (>= 5),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5),
               libkf5kio-dev,
               libkf5widgetsaddons-dev (>= 5),
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtwebengine5-dev [amd64 arm64 i386 mipsel],
Standards-Version: 4.1.2
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kalgebra.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kalgebra.git

Package: kalgebra
Architecture: amd64 arm64 i386 mipsel
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: calgebra
Breaks: kalgebramobile (<< 4:4.7.2),
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 i386 mipsel
Section: math
Breaks: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
Replaces: kalgebra (<< 4:4.7.2), ${kde-l10n:all}
Depends: plasma-framework,
         qml-module-org-kde-analitza,
         ${misc:Depends},
         ${shlibs:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 i386 mipsel],
         plasma-framework,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

l10npkgs_firstversion_ok := 4:16.04.3-8~
webengine_archs := amd64 arm64 i386 mipsel

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(webengine_archs)))
override_dh_auto_configure:
	$(overridden_command) -- -DMOBILE_BACKEND="none"
endif

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kalgebra-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/kalgebra
